%define name axiom
%define version 0.20041028
%define release 2mdk

Summary: Symbolic Computation Program
Name: %{name}
Version: %{version}
Release: %{release}
Source0: %{name}-%{version}.tar.bz2
# yes, it's a source !
Source1: axiom-binutils.patch.bz2
Patch0: axiom-makefile.patch.bz2
License: BSD/GPL
Group: Sciences/Mathematics
Url: http://axiom.axiom-developer.org
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires: libgmp-devel
BuildRequires: libncurses-devel
BuildRequires: libreadline-devel
BuildRequires: binutils-devel
BuildRequires: X11-devel
BuildRequires: tetex
BuildRequires: gawk
BuildRequires: ghostscript

%description
Axiom is a general purpose Computer Algebra system. 
It is useful for research and development of mathematical algorithms. 
It defines a strongly typed, mathematically correct type hierarchy. 
It has a programming language and a built-in compiler. 

%prep
%setup -q -n %{name}
%patch0 -p1
%build

# if we want apply a patch to the gcl build, we must patch the makefile
# to tell them to patch.
# quite silly
bzcat %{SOURCE1} > zips/gcl-2.6.5.h.linux.binutils.patch

export AXIOM=`pwd`/mnt/linux
export PATH=$AXIOM/bin:$PATH

#parallel build fail
make

# for %doc section
cp mnt/linux/doc/{book.dvi,Rosetta.dvi}  ./

%install
rm -rf $RPM_BUILD_ROOT

# create the directory structure
install -d -m 755 $RPM_BUILD_ROOT%{_bindir}
install -d -m 755 $RPM_BUILD_ROOT%{_libdir}/%{name}-%{version}
install -d -m 755 $RPM_BUILD_ROOT%{_libdir}/%{name}-%{version}/algebra
install -d -m 755 $RPM_BUILD_ROOT%{_libdir}/%{name}-%{version}/autoload
install -d -m 755 $RPM_BUILD_ROOT%{_libdir}/%{name}-%{version}/bin
install -d -m 755 $RPM_BUILD_ROOT%{_libdir}/%{name}-%{version}/lib
install -d -m 755 $RPM_BUILD_ROOT%{_libdir}/%{name}-%{version}/lib/graph
install -d -m 755 $RPM_BUILD_ROOT%{_libdir}/%{name}-%{version}/doc
install -d -m 755 $RPM_BUILD_ROOT%{_libdir}/%{name}-%{version}/doc/ps
install -d -m 755 $RPM_BUILD_ROOT%{_libdir}/%{name}-%{version}/doc/src
install -d -m 755 $RPM_BUILD_ROOT%{_libdir}/%{name}-%{version}/doc/src/boot
install -d -m 755 $RPM_BUILD_ROOT%{_libdir}/%{name}-%{version}/doc/src/lib
install -d -m 755 $RPM_BUILD_ROOT%{_libdir}/%{name}-%{version}/doc/src/interp
install -d -m 755 $RPM_BUILD_ROOT%{_libdir}/%{name}-%{version}/doc/src/algebra
install -d -m 755 $RPM_BUILD_ROOT%{_libdir}/%{name}-%{version}/doc/src/input
install -d -m 755 $RPM_BUILD_ROOT%{_libdir}/%{name}-%{version}/doc/src/graph
install -d -m 755 $RPM_BUILD_ROOT%{_libdir}/%{name}-%{version}/doc/hypertex
install -d -m 755 $RPM_BUILD_ROOT%{_libdir}/%{name}-%{version}/doc/hypertex/pages
install -d -m 755 $RPM_BUILD_ROOT%{_libdir}/%{name}-%{version}/doc/msgs
install -d -m 755 $RPM_BUILD_ROOT%{_libdir}/%{name}-%{version}/src
install -d -m 755 $RPM_BUILD_ROOT%{_libdir}/%{name}-%{version}/src/algebra
install -d -m 755 $RPM_BUILD_ROOT%{_libdir}/%{name}-%{version}/input

pushd mnt/linux
install -m644 algebra/*.o $RPM_BUILD_ROOT%{_libdir}/%{name}-%{version}/algebra
install -m644 algebra/*.daase $RPM_BUILD_ROOT%{_libdir}/%{name}-%{version}/algebra
install -m644 autoload/* $RPM_BUILD_ROOT%{_libdir}/%{name}-%{version}/autoload
install -m755 lib/{copyright,summary,view2D,view3D,viewman} $RPM_BUILD_ROOT%{_libdir}/%{name}-%{version}/lib
install -m644 lib/graph/*.ps $RPM_BUILD_ROOT%{_libdir}/%{name}-%{version}/lib/graph

perl -pi -e 's|AXIOM=.*|AXIOM=%{_libdir}/%{name}-%{version}|' bin/axiom
install -m755 bin/axiom $RPM_BUILD_ROOT%{_bindir}
install -m755 bin/{AXIOMsys,asq,clef,viewAlone} $RPM_BUILD_ROOT%{_libdir}/%{name}-%{version}/bin

install -m644 doc/ps/{*.ps,*.epsi,*.eps} $RPM_BUILD_ROOT%{_libdir}/%{name}-%{version}/doc/ps
install -m644 doc/hypertex/pages/util.ht  $RPM_BUILD_ROOT%{_libdir}/%{name}-%{version}/doc/hypertex/pages
install -m644 doc/msgs/s2-us.msgs $RPM_BUILD_ROOT%{_libdir}/%{name}-%{version}/doc/msgs
install -m644 doc/src/algebra/*.dvi $RPM_BUILD_ROOT%{_libdir}/%{name}-%{version}/doc/src/algebra
install -m644 doc/src/boot/* $RPM_BUILD_ROOT%{_libdir}/%{name}-%{version}/doc/src/boot
install -m644 doc/src/graph/{*.dvi,*.sty} $RPM_BUILD_ROOT%{_libdir}/%{name}-%{version}/doc/src/graph
install -m644 doc/src/input/{*.dvi,*.sty} $RPM_BUILD_ROOT%{_libdir}/%{name}-%{version}/doc/src/input
install -m644 doc/src/interp/{*.dvi,*.sty} $RPM_BUILD_ROOT%{_libdir}/%{name}-%{version}/doc/src/interp

install -m644 input/* $RPM_BUILD_ROOT%{_libdir}/%{name}-%{version}/input


popd

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc license/LICENSE.* book.dvi Rosetta.dvi
%dir %{_libdir}/%{name}-%{version}
%{_libdir}/%{name}-%{version}/*
%{_bindir}/axiom

%changelog
* Fri Feb 04 2005 Couriousous <couriousous@mandrake.org> 0.20041028-2mdk
- Rebuild for new libreadline

* Sun Dec  5 2004 Couriousous <couriousous@zarb.org> 0.20041028-1mdk
- First Mandrakelinux release

